Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188435 - Review Request: glibrary-1.0.1
Summary: Review Request: glibrary-1.0.1
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-09 22:45 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-05 14:08:51 UTC


Attachments (Terms of Use)

Description Damien Durand 2006-04-09 22:45:45 UTC
Spec Name or Url: http://glive.tuxfamily.org/fedora/glibrary/glibrary.spec
SRPM Name or Url: http://glive.tuxfamily.org/fedora/glibrary/glibrary-1.0.1-1.fc6.src.rpm

Description: GLibrary is small, but useful book manager based on GTK+ and SQLite 
database engine. It can store base informations like: author, genere, 
publisher, translators and many others.

Comment 1 Tom "spot" Callaway 2006-04-11 21:55:36 UTC
Before I review this, I'd like to see a new package that has the following
blockers fixed:

- All of the Requires are unnecessary. In general, anything listed as a
foo-devel package in BuildRequires will automatically be picked up as Requires:
foo, you do not need to hardcode it.
- You're missing one BuildRequires, hint: look in your %install section for any
binary calls that are not listed in BR
- Don't use %{_datadir}/*, this will cause unnecessary directory ownership.
Hint: look at the directories created under %{_datadir}, is there a top level
directory that you _do_ want to own? You should avoid wildcards wherever possible.
- You're not handling locales properly in this package. Look at what
PackageReviewGuidelines says about locales.


Comment 2 Damien Durand 2006-04-30 12:35:29 UTC
The spec file was reorganised.

Spec Name or Url: http://glive.tuxfamily.org/fedora/glibrary/glibrary.spec
SRPM Name or Url:
http://glive.tuxfamily.org/fedora/glibrary/glibrary-1.0.1-1.fc6.src.rpm

Comment 3 Tom "spot" Callaway 2006-05-01 16:07:38 UTC
Much better! The one point (not a blocker) is that you can use:
%{_datadir}/%{name}/

instead of 

%{_datadir}/%{name}/*

Gives you the same end result. I try to avoid * wherever possible.

Good:

- rpmlint checks return:

W: glibrary incoherent-version-in-changelog 1.0.1-2 1.0.1-1
E: glibrary script-without-shellbang /usr/share/doc/glibrary-1.0.1/README
E: glibrary script-without-shellbang /usr/share/doc/glibrary-1.0.1/AUTHORS
E: glibrary script-without-shellbang /usr/share/doc/glibrary-1.0.1/COPYING
E: glibrary script-without-shellbang /usr/share/doc/glibrary-1.0.1/ChangeLog

Make sure you bump your release number when you make a change. :)
Also, you should chmod -x those doc files, so that rpmlint doesn't think that
they are scripts.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales handled properly
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file ok (might consider adding an icon)

All in all, this is much better. Just some minor changes to make before you
build, but I'm convinced that you have a better grasp on things.

APPROVED.


Comment 4 Ville Skyttä 2006-05-01 16:22:17 UTC
(In reply to comment #3)
> Much better! The one point (not a blocker) is that you can use:
> %{_datadir}/%{name}/
> 
> instead of 
> 
> %{_datadir}/%{name}/*
> 
> Gives you the same end result.

Nope, the former results in ownership of the directory in the package (which is
desirable in this case), the latter does not.  Properly owning dirs is a MUST
per the review guidelines.

Comment 5 Kevin Fenzi 2006-09-02 20:36:54 UTC
This package is APPROVED, but I don't see that it's been imported/built. 

Please import and close this bug with NEXTRELEASE. 
(You should probibly make sure you own the datadir/name as mentioned in comment 
#4. as well)

Comment 6 Damien Durand 2006-09-05 14:08:51 UTC
This project is dead, I close this report.


Note You need to log in before you can comment on or make changes to this bug.